; ok, here's the organiztion:
;   The flute will look to a list of encapsulated "gestures"
;   for the data.  Each "gesture" will contain appropriate
;   RHYTHM, PITCH and INFLECTION lists.

; set up the rhythms

(setf e 0.125)
(setf q (* e 2))
(setf h (* q 2))
(setf w (* h 2))

; and here is the list of pitches to be parsed for lengths
; later each of these may be a list of lists with several
; combinations for each pitch possible

(setf eb8 '(34 10))
(setf e8 '(32 10))
(setf f8 '(30 10))
(setf gb8 '(29 10))
(setf g8 '(27 10))
(setf ab8 '(25 10))
(setf a8 '(24 10))
(setf bb8 '(23 10))
(setf b8 '(22 10))
(setf c9 '(21 10))


; gest1
(put 'gest1 'rhys '(e q e q))
(put 'gest1 'pches '(g8 ab8 b8 g8))
(put 'gest1 'flects '(blow rest blow blow))

; gest2
(put 'gest2 'rhys '(h q e e))
(put 'gest2 'pches '(g8 b8 a8 bb8))
(put 'gest2 'flects '(blow blow rest vib))

; gest3
(put 'gest3 'rhys '(e e w))
(put 'gest3 'pches '(g8 c9 a8))
(put 'gest3 'flects '(blow bend vib))

; gest4
(put 'gest4 'rhys '(h))
(put 'gest4 'pches '(gb8))
(put 'gest4 'flects '(bend))

; gest5
(put 'gest5 'rhys '(e q))
(put 'gest5 'pches '(a8 gb8))
(put 'gest5 'flects '(bend blow))

; gest6
(put 'gest6 'rhys '(e e e e))
(put 'gest6 'pches '(f8 ab8 b8 ab8))
(put 'gest6 'flects '(bend blow blow blow))

; gest7
(put 'gest7 'rhys '(q e e h e e))
(put 'gest7 'pches '(gb8 c9 c9 f8 ab8 e8))
(put 'gest7 'flects '(bend blow vib blow blow))

; gest8
(put 'gest8 'rhys '(q q w))
(put 'gest8 'pches '(c9 eb8 eb8))
(put 'gest8 'flects '(vib blow bend))

; dgest1
(put 'dgest1 'rhys '(q q q))
(put 'dgest1 'pches '(g8 g8 g8))
(put 'dgest1 'flects '(blow bend vib))

; dgest2
(put 'dgest2 'rhys '(q q q))
(put 'dgest2 'pches '(g8 g8 g8))
(put 'dgest2 'flects '(blow blow blow))

;(setf GESTURES '(gest1 gest2 gest3 gest4 gest5))
;(setf GESTURES '(dgest1 dgest2))
(setf GESTURES '(gest1 gest2 gest6 gest7 gest8))
