(defun gestflute(ngests) (prog(tgest)
	(setq *START* 0)
	(cmix-print 'rtsetparams '(22050 1))
	(cmix-print 'reset '(10000))
	(cmix-print 'makegen '(1 24 1000 0 1  1.5 1))
	(cmix-print 'makegen '(2 24 1000 0 0  0.05 1  1.4 1  1.5 0))

	(setq *PRINT-CASE* :UPCASE)
again
	(cond ((= ngests 0) (return t))
		(t 	(setq tgest (getel GESTURES))
			(dogest (get tgest 'rhys) (get tgest 'pches)
				(get tgest 'flects))
			(setq ngests (- ngests 1))
			(go again)
			)
		)
    )
)

(defun dogest(lrhy lpch lflect) (prog(rrr ppp fff)
	(cond ((null lrhy) (return t))
		(t	(setq rrr (eval (car lrhy)))
			(setq ppp (eval (car lpch)))
			(setq fff (car lflect))
			(cond ((eq fff 'blow)
				(cmix-print 'SFLUTE `(,*START* ,rrr 0.1 
					,(car ppp) ,(cadr ppp) 5000)))
				((eq fff 'bend)
					(setq *PRINT-CASE* :DOWNCASE)
					(cmix-print 'makegen '(3 7 1000 0 1000 1))
					(cmix-print 'makegen '(4 7 1000 0 500 1 500 0))
					(setq *PRINT-CASE* :UPCASE)
					(cmix-print 'BSFLUTE `(,*START*
						,rrr 0.1 ,(car ppp)
						,(+ (car ppp) 4)
						,(cadr ppp)
						,(+ (cadr ppp) 7)
						5000)))
				((eq fff 'vib)
					(setq *PRINT-CASE* :DOWNCASE)
					(cmix-print 'makegen '(3 10 1000 1))
					(cmix-print 'makegen '(4 10 1000 1))
					(setq *PRINT-CASE* :UPCASE)
					(cmix-print 'VSFLUTE `(,*START* ,rrr 0.1 ,(car ppp)
						,(+ (car ppp) 2)
						,(cadr ppp)
						,(+ (cadr ppp) 3)
						5000 4 7 3 5)))
				)


			(setq *START* (+ *START* rrr))
			(dogest (cdr lrhy) (cdr lpch) (cdr lflect))
			)
		)
	)
)
